## util-linux 2.39.2

=== debian/changelog ===
util-linux (2.39.2-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
  * Dropped changes, included in Debian:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 20 Nov 2023 16:51:50 -0500

util-linux (2.39.2-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/util-linux.manpages,util-linux-locales.install: Generalize hurd-i386 into
    hurd-any.

  [ Chris Hofstaedtler ]
  * Fix FTBFS on hurd-i386 using upstreamed patch.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1055875)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 13 Nov 2023 12:48:34 +0100

util-linux (2.39.2-5) unstable; urgency=medium

  * Fix setterm --resize

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Oct 2023 23:02:25 +0100

util-linux (2.39.2-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with stage1 profile (Closes: #1054162)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 18 Oct 2023 15:36:05 +0200

util-linux (2.39.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Drop asciidoctor build-dep in stage1 profile (Closes: #1053324)

  [ Chris Hofstaedtler ]
  * Remove hwclock initscript leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Oct 2023 22:37:45 +0200

util-linux (2.39.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:21:34 +0100

util-linux (2.39.2-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop hwclock machinery migrated to initscripts.

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 14:54:02 +0100

util-linux (2.39.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Apply wrap-and-sort -kas

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052981)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Sep 2023 17:39:54 +0200

util-linux (2.39.2-1) unstable; urgency=medium

  * New upstream version 2.39.2, fixing various libmount issues.
  * Refresh patches
  * Apply additional patches from upstream:
    * libmount: Fix regression when mounting with atime (Closes: #1042714)
    * setarch: add riscv64 support
    * cfdisk: fix menu behavior after writing changes (Closes: #927041)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Aug 2023 22:14:58 +0200
