=== debian/changelog ===
util-linux (2.39.3-9ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Apr 2024 10:02:37 -0400

util-linux (2.39.3-9ubuntu5) noble; urgency=high

  * No change rebuild against libreadline8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:51:40 +0200

util-linux (2.39.3-9ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:15 +0000

util-linux (2.39.3-9ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/patches/upstream/CVE-2024-28085.patch: consolidate output on
      the terminal in term-utils/wall.c.
    - debian/rules: remove setuid bit from wall as recommended by upstream
      as the above patch is insufficient.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Mar 2024 08:06:33 -0400

util-linux (2.39.3-9ubuntu2) noble; urgency=medium

  * No-change rebuild to allow bootstrapping for 64-bit time_t

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 09:55:06 +0000

util-linux (2.39.3-9ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
    - Move more to usr/bin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 00:39:13 -0800

util-linux (2.39.3-9) unstable; urgency=medium

  * Provide libuuid1t64 on i386

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 22:36:39 +0100

util-linux (2.39.3-8) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Break/Replace libuuid1t64 and provide it versioned (Closes: #1065242)
  * Update architecture list for Provides: libuuid1t64
  * d/gbp.conf: update debian-branch

  [ Johannes Schauer Marin Rodrigues ]
  * util-linux.postinst: avoid running uname in maintainer script for
    chrootless hurd support (Closes: #1063638)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 13:45:06 +0100

util-linux (2.39.3-7) unstable; urgency=medium

  * Run wrap-and-sort -kas
  * Revert rename of libuuid1 to libuuid1t64
  * Apply upstream patches for dual-time_t-ABI

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 11:20:22 +0100

util-linux (2.39.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063039

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:32:09 +0000

util-linux (2.39.3-6ubuntu2) noble; urgency=medium

  * Move more to usr/bin again

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 14:21:54 +0100

util-linux (2.39.3-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:48:19 +0100

util-linux (2.39.3-6) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Jan 2024 15:25:05 +0100

util-linux (2.39.3-5) experimental; urgency=medium

  * Install /bin/more in the old location again, to avoid breaking bootstrap
    scenarios

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 14:46:09 +0100

util-linux (2.39.3-4) experimental; urgency=medium

  * Install programs into /usr{/bin,/sbin}

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:41:07 +0100

util-linux (2.39.3-3) unstable; urgency=medium

  * Add patch from upstream to fix build on alpha

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:32:22 +0100

util-linux (2.39.3-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * Install manpages via dh_installman instead of dh_install
  * d/util-linux-locales.install: Do not install manpages when building with <nodoc>
  * d/control: Support <nodoc> build profile

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Dec 2023 04:22:29 +0100

util-linux (2.39.3-1) unstable; urgency=medium

  * New upstream stable release
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 Dec 2023 21:35:58 +0100
