=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: util-linux
 Build-Depends:
- asciidoctor <!stage1>,
+ asciidoctor <!stage1 !nodoc>,
  bc <!stage1 !nocheck>,
  bison,
  debhelper-compat (= 13),
@@ -416,6 +416,12 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks:
+ libuuid1t64 (<< ${source:Version})
+Replaces:
+ libuuid1t64
+Provides:
+ libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc]
 Recommends:
  uuid-runtime
 Multi-Arch: same
@@ -433,14 +439,3 @@
 Build-Profiles: <!stage1>
 Section: utils
 Priority: optional
-Pre-Depends:
- libuuid1,
- ${misc:Pre-Depends}
-Depends:
- adduser,
- ${misc:Depends},
- ${shlibs:Depends}
-Multi-Arch: foreign
-Description: runtime components for the Universally Unique ID library
- The libuuid library generates and parses 128-bit Universally Unique
- IDs (UUIDs). A UUID is an identifier that is unique within the space
