=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+
+CONFOPTS += --enable-usrdir-path
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFOPTS += --with-selinux
@@ -50,6 +52,9 @@
 # Keep hwclock as GPLv2 (and others)
 CONFOPTS += --disable-hwclock-gplv3
 
+# Reduce setgid programs (cf. CVE-2024-28085)
+CONFOPTS += --disable-use-tty-group
+
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
 # bash-completions below.
@@ -88,6 +93,8 @@
 	# drop arch-overrides, generated in dh_install by dh-exec usage.
 	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
 		debian/util-linux.install.$(DEB_HOST_ARCH)
+	# remove postinst generated in dh_installdeb
+	rm -f debian/util-linux.postinst
 
 override_dh_install:
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
@@ -161,7 +168,7 @@
 	dh_installpam --package=util-linux --name=su-l
 
 override_dh_fixperms:
-	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write -Xbin/mount -Xbin/umount -Xbin/su
+	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write -Xusr/bin/mount -Xusr/bin/umount -Xusr/bin/su
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_installsystemd:
@@ -177,3 +184,11 @@
 	@echo "WARNING: non-linux detected, making tests non-fatal."
 	dh_auto_test --max-parallel=1 || true
 endif
+
+execute_before_dh_installdeb:
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+	# due to UL_REQUIRES_LINUX([more]), only set up pager alternative
+	# on linux -- this avoids running uname in the maintainer script
+	# as doing so would be unreliable for chrootless installations
+	cp debian/util-linux.postinst.linux debian/util-linux.postinst
+endif
