## util-linux 2.39.3-9ubuntu6.3trisquel1

=== debian/changelog ===
util-linux (2.39.3-9ubuntu6.3trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Jul 2025 17:48:40 +0000

util-linux (2.39.3-9ubuntu6.3) noble; urgency=medium

  * debian/patches/ubuntu/lp-2111723-0001-lscpu-New-Arm-Cortex-part-
    numbers.patch: [PATCH 1/4] lscpu: New Arm Cortex part numbers.
    Thanks to Jeremy Linton <jeremy.linton@arm.com>.  Closes LP:
    #2111723.
  * debian/patches/ubuntu/lp-2111723-0002-lscpu-use-CPU-types-de-
    duplication.patch: [PATCH 2/4] lscpu: use CPU types de-duplication.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0003-tests-update-lscpu-vmware_fpe-
    output.patch: [PATCH 3/4] tests: update lscpu vmware_fpe output.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0004-tests-add-dump-from-ARM-with-
    A510-A710-A715-X3.patch: [PATCH 4/4] tests: add dump from ARM with
    A510+A710+A715+X3.  Thanks to Karel Zak <kzak@redhat.com>.  Closes
    LP: #2111723.

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Thu, 05 Jun 2025 14:17:38 +0200

util-linux (2.39.3-9ubuntu6.2) noble; urgency=medium

  * Read the ext4 superblock with O_DIRECT if the first read produces a
    checksum failure. This fixes a race where the underlying superblock
    can be changed in memory but not on disk, resulting in checksum
    failures which in turn causes systemd-udevd to remove by-uuid and
    by-label symlinks. (LP: #2090972)
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-ext-superblock-checksum-mismat.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 05 Dec 2024 15:26:54 +1300

util-linux (2.39.3-9ubuntu6.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:22 +0200
