=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libedit-dev
 Section: base
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>
@@ -438,4 +438,3 @@
 Architecture: any
 Build-Profiles: <!stage1>
 Section: utils
-Priority: optional
