## util-linux 2.39.3-9ubuntu6.4trisquel1

=== debian/changelog ===
util-linux (2.39.3-9ubuntu6.4trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 16 Dec 2025 14:50:47 +0000

util-linux (2.39.3-9ubuntu6.4) noble; urgency=medium

  * Add ARM core support for Vera systems (LP: #2123886)
    - d/p/ubuntu/lp-2123886-add-missing-arm-cores.patch

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 15 Sep 2025 21:08:02 -0300
