## util-linux 2.40~rc2

=== debian/changelog ===
util-linux (2.40~rc2-4) UNRELEASED; urgency=medium

  * bla 

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 21:19:01 +0100

util-linux (2.40~rc2-3) experimental; urgency=medium

  * Mark lsfd/mkfds-unix-stream-requiring-sockdiag as failing too

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 20:03:39 +0100

util-linux (2.40~rc2-2) experimental; urgency=medium

  * Disable another lsfd test which is broken on the buildds.
  * Merge with unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 15:20:41 +0100

util-linux (2.40~rc2-1) experimental; urgency=medium

  * New upstream version, target experimental.
  * Add new Build-Depends: flex
  * Do not build liblastlog2 for now
  * Disable newly failing lsfd test
  * Drop no-longer localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 00:02:17 +0100
