=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  bison,
  debhelper-compat (= 13),
  dh-exec,
+ flex,
  gettext,
  libaudit-dev [linux-any] <!stage1>,
  libcap-ng-dev [linux-any] <!stage1>,
@@ -23,14 +24,12 @@
  po4a,
  socat <!stage1 !nocheck>,
  systemd [linux-any] <!stage1>,
- systemd-dev [linux-any] <!stage1>,
  zlib1g-dev
 Build-Conflicts:
  libedit-dev
 Section: base
 Priority: required
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>
 Standards-Version: 4.6.0
@@ -421,7 +420,7 @@
 Replaces:
  libuuid1t64
 Provides:
- libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc]
+ libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !i386 !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc]
 Recommends:
  uuid-runtime
 Multi-Arch: same
@@ -438,3 +437,11 @@
 Architecture: any
 Build-Profiles: <!stage1>
 Section: utils
+Priority: optional
+Pre-Depends:
+ libuuid1,
+ ${misc:Pre-Depends}
+Depends:
+ adduser,
+ ${misc:Depends},
+ ${shlibs:Depends}
