=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
-
-# Currently causes catastrophic failure with our overlayroot tpmfs,
-# deleted lower setup as created by overlayroot / cloud-initrd as used
-# by MAAS LP: #2037417
-CONFOPTS += --disable-libmount-mountfd-support
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
@@ -52,8 +47,8 @@
 # Keep hwclock as GPLv2 (and others)
 CONFOPTS += --disable-hwclock-gplv3
 
-# Reduce setgid programs (cf. CVE-2024-28085)
-CONFOPTS += --disable-use-tty-group
+CONFOPTS += --disable-liblastlog2
+CONFOPTS += --disable-pam-liblastlog2
 
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
@@ -87,6 +82,9 @@
 	# Avoid shipping static libraries.
 	# - libblkid.a is used by e2fsprogs.
 	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete
+	#
+	# show installed man pages
+	find debian/tmp/usr/share/man
 
 override_dh_auto_clean:
 	dh_auto_clean
